tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Thomas <ma...@apache.org>
Subject Re: JSSE13SocketFactory in a 1.5 JVM and SUN-SPECIFIC classes
Date Fri, 19 May 2006 22:36:48 GMT
Joe Bohn wrote:
> IIUC, this code in JSSEImplementation:
> 
>     static final String JSSE13Factory =
>         "org.apache.tomcat.util.net.jsse.JSSE13Support";
> 
> should be:
> 
>     static final String JSSE13Factory =
>         "org.apache.tomcat.util.net.jsse.JSSE13Factory";
> 
> since there is no JSSE13Support class.

> Rather than correct this one line of code, I think it would make sense
> to completely remove the JSSE13* classes.  This resolves the problems
> that I'm having with building on a non-Sun JDK.  It would also seem that
> nobody is using this support since the problem has not been reported.

There are no references to the static String JSSE13Factory in the code
base so it actually doesn't matter about the typo. This is no-one has
complained - it isn't actually broken.

> Does Tomcat 5.5.17 still support running on a 1.3 JVM?

Tomcat 5 requires 1.4+ but the connectors (of which this class is a
part) are used by both TC4 and TC3. The code needs to stay.

> Should I create a bug report for this problem and do you think it would
> be feasible to remove the broken 1.3 support?

No need. I've corrected it in SVN just in case someone makes use of it
in some custom code - unlikely I know.


Mark

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message